## org.eclipse.jst.jsf.core.jsflibraryregistry
Class PluginProvidedJSFLibraryCreationHelper

    java.lang.Object
      org.eclipse.jst.jsf.core.jsflibraryregistry.PluginProvidedJSFLibraryCreationHelper

Deprecated. - clients should not use

    public final class PluginProvidedJSFLibraryCreationHelper

extends java.lang.Object

Helper class used to create JSF Libraries from the `org.eclipse.jst.jsf.core.jsflibraries` extension-point.

Provisional API - subject to change

Field Summary
`static java.lang.String` `DELEGATE` Deprecated. Key of the 'archiveFilesDelegate' attribute of the extension point.
`static java.lang.String` `IS_IMPL` Deprecated. Key of the 'isImplementation' attribute of the extension point.
`static java.lang.String` `NAME` Deprecated. Key of the 'name' attribute of the extension point.
`static java.lang.String` `VERSION` Deprecated. Key of the 'maxVersionSupported' attribute of the extension point.

Constructor Summary
`PluginProvidedJSFLibraryCreationHelper(IConfigurationElement jsfLibrary)` Deprecated. Creates an instance with the specified IConfigurationElement instance.

Method Summary
`org.eclipse.jst.jsf.core.internal.jsflibraryregistry.JSFLibrary` `create()` Deprecated. Creates a new PluginProvidedJSFLibrary from the JSFLibrary extension point.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

  Deprecated.
  Key of the 'name' attribute of the extension point.

  See Also:
    Constant Field Values

### IS_IMPL

    public static final java.lang.String IS_IMPL

  Deprecated.
  Key of the 'isImplementation' attribute of the extension point.

  See Also:
    Constant Field Values

### VERSION

    public static final java.lang.String VERSION

  Deprecated.
  Key of the 'maxVersionSupported' attribute of the extension point.

  See Also:
    Constant Field Values

### DELEGATE

    public static final java.lang.String DELEGATE

  Deprecated.
  Key of the 'archiveFilesDelegate' attribute of the extension point.

  See Also:
    Constant Field Values

Constructor Detail

### PluginProvidedJSFLibraryCreationHelper

    public PluginProvidedJSFLibraryCreationHelper(IConfigurationElement jsfLibrary)

  Deprecated.
  Creates an instance with the specified IConfigurationElement instance.

  Parameters:
    `jsfLibrary` - IConfigurationElement instance

Method Detail

### create

    public org.eclipse.jst.jsf.core.internal.jsflibraryregistry.JSFLibrary create()

  Deprecated.
  Creates a new PluginProvidedJSFLibrary from the JSFLibrary extension point.

  Returns:
    PluginProvidedJSFLibrary instance.